class CookieJar::Jar
	def save (filename)
		f = File.new(filename, "w")
		f.puts self.to_json
		f.close
	end
	def load (filename)
		js = JSON.parse(IO.read(filename))

		cookie_array = JSON.parse(js['cookies'])
		cookie_array.each do |cookie_json|
			self.add_cookie(CookieJar::Cookie.json_create cookie_json)
		end
	end

    def get_all_cookies
		ret_cookies = []
		@domains.values.each do |cookies|
			cookies.values.each do |cookiex|
				cookiex.values.each do |cookie|
					ret_cookies << cookie
				end
			end
		end
		return ret_cookies
    end
end

class CookieJar::Cookie
	def for_display
		if self.session?
			expiry_date = "Session"
		else
			if self.expires_at.nil?
				expiry_date = "Unknown"
			else
				expiry_date = self.expires_at.to_s
			end
		end

		return "#{self.name} ; #{self.value} ; #{self.domain} ; #{self.path} ; #{(self.secure)? "Secure":""} ; #{(self.http_only)?"httpOnly":""} ; #{expiry_date}"
	end
end

